Resend Subscription Receipts
curl --request POST \
--url https://api.withflex.com/v1/subscriptions/{id}/receipts/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/subscriptions/{id}/receipts/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/subscriptions/{id}/receipts/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receipt_ids": [
"string"
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Resend Subscription Receipts
Resends existing receipt emails for the initial checkout of a subscription.
Looks up the receipts for the subscription’s initial checkout-session payment and enqueues them to be emailed to the customer; the existing receipt PDFs are reused, not regenerated.
POST
/
v1
/
subscriptions
/
{id}
/
receipts
/
resend
Resend Subscription Receipts
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
Success
Response returned after queuing receipt emails for resending.
The receipt IDs that were queued for resending.
⌘I